# Generated by Django 3.2.6 on 2021-08-16 15:04

from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone
import django_google_maps.fields
import hotel_app.validators
import model_utils.fields
import user_app.managers


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('user_app', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='HotelModel',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('spa_reception_work_time_from', models.TimeField(blank=True, null=True, validators=[hotel_app.validators.validate_time], verbose_name='Work from')),
                ('spa_reception_work_time_to', models.TimeField(blank=True, null=True, validators=[hotel_app.validators.validate_time], verbose_name='Work to')),
                ('spa_service_work_time_from', models.TimeField(blank=True, null=True, validators=[hotel_app.validators.validate_time], verbose_name='Work from')),
                ('spa_service_work_time_to', models.TimeField(blank=True, null=True, validators=[hotel_app.validators.validate_time], verbose_name='Work to')),
                ('spa_facilities_work_time_from', models.TimeField(blank=True, null=True, validators=[hotel_app.validators.validate_time], verbose_name='Work from')),
                ('spa_facilities_work_time_to', models.TimeField(blank=True, null=True, validators=[hotel_app.validators.validate_time], verbose_name='Work to')),
                ('rhythm_hair_work_time_from', models.TimeField(blank=True, null=True, verbose_name='Work from')),
                ('rhythm_hair_work_time_to', models.TimeField(blank=True, null=True, verbose_name='Work to')),
                ('img', models.ImageField(blank=True, null=True, upload_to='hotel/img', verbose_name='Image')),
                ('address', django_google_maps.fields.AddressField(default='', max_length=255, verbose_name='Address')),
                ('geolocation', django_google_maps.fields.GeoLocationField(default='', max_length=100, verbose_name='Geolocation')),
            ],
            options={
                'verbose_name': 'Hotel',
                'verbose_name_plural': 'Hotels',
                'db_table': 'hotels',
            },
        ),
        migrations.CreateModel(
            name='TherapistModel',
            fields=[
                ('usermodel_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='user_app.usermodel')),
                ('img', models.ImageField(blank=True, null=True, upload_to='therapist/img', verbose_name='Photo')),
                ('hotel', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='therapists', to='hotel_app.hotelmodel', verbose_name='Hotel')),
            ],
            options={
                'verbose_name': 'Therapist',
                'verbose_name_plural': 'Therapists',
                'db_table': 'therapist',
            },
            bases=('user_app.usermodel',),
            managers=[
                ('objects', user_app.managers.UserModelManager()),
            ],
        ),
        migrations.CreateModel(
            name='HotelTranslationModel',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('lang', models.CharField(choices=[('EN', 'EN'), ('DE', 'DE')], max_length=2, verbose_name='Language')),
                ('title', models.CharField(max_length=255, verbose_name='Title')),
                ('short_desc', models.TextField(verbose_name='Short description')),
                ('desc', models.TextField(verbose_name='Description')),
                ('hotel', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='translations', to='hotel_app.hotelmodel', verbose_name='Hotel')),
            ],
            options={
                'verbose_name': 'Hotel translation',
                'verbose_name_plural': 'Hotels translation',
                'db_table': 'hotel_translation',
            },
        ),
        migrations.CreateModel(
            name='HotelAdministratorModel',
            fields=[
                ('usermodel_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='user_app.usermodel')),
                ('img', models.ImageField(blank=True, null=True, upload_to='hotel_admin/img', verbose_name='Photo')),
                ('hotel', models.OneToOneField(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='administrators', to='hotel_app.hotelmodel', verbose_name='Hotel')),
            ],
            options={
                'verbose_name': 'Hotel administrator',
                'verbose_name_plural': 'Hotel administrators',
                'db_table': 'hotel_administrator',
            },
            bases=('user_app.usermodel',),
            managers=[
                ('objects', user_app.managers.UserModelManager()),
            ],
        ),
        migrations.AddConstraint(
            model_name='hoteltranslationmodel',
            constraint=models.UniqueConstraint(fields=('hotel', 'lang'), name='unique_hotel_lang_translation'),
        ),
    ]
